import { BehaviorSubject } from 'rxjs';
import { AtOptionComponent } from './at-option.component';
export declare class AtSelectControlService {
    options: AtOptionComponent[];
    selected_value: any[];
    constructor();
    $openStatus: BehaviorSubject<boolean>;
    $optionsChange: BehaviorSubject<any[]>;
    $selectOptionChange: BehaviorSubject<any[]>;
    $searchValueChange: BehaviorSubject<string>;
    pushOptions(option: AtOptionComponent): void;
    removeOption(option: any): void;
    removeValue(value: any): void;
}
